Bug 77029 - Editing kernel spec file for ext3 gives failed hunk errors
Editing kernel spec file for ext3 gives failed hunk errors
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-30 23:13 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-30 23:13:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I edited the spec file for kernel-2.2.22-6.2.2.src.rpm to enable ext3 and got 
this failed hunk error when doing rpm -ba kernel-2.2.spec.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Find in kernel-2.2.22-6.2.2 spec file:

%define ext3 0

replace with:

%define ext3 1
2. Save file
3. Run rpm -ba kernel-2.2.spec

Actual Results:  + echo Patch #190 (linux-2.2.17-ext3.patch):
Patch #190 (linux-2.2.17-ext3.patch):
+ patch -p1 -s
2 out of 22 hunks FAILED -- saving rejects to fs/buffer.c.rej
2 out of 9 hunks FAILED -- saving rejects to include/linux/fs.h.rej
Bad exit status from /var/tmp/rpm-tmp.44938 (%prep)

Expected Results:  To build a new kernel rpm

Additional info:
Comment 1 Yanko Kaneti 2002-11-29 13:58:10 EST
I got this to work by removing patches 55, 165 & 401. (linux-2.2.19-raid.patch,
linux-2.2.17-scsi-exports.patch, linux-2.2.17-sard.patch)  and using the latest
available 0.0.7a ext3 patch slightly tweaked to build past the harmless (in my
uninformed opinion) conflicts in fs/buffer.c

The result appears to work on a test machine I have. Now I wonder if I should
try and use the smp version on a production 6.2 server.  Any hints on the chance
of shooting myself badly in foot will be greatly appreciated. Any success
stories documented somewhere, failures?
Comment 2 Arjan van de Ven 2002-11-29 15:26:51 EST
the 2.2 kernel ext3 is very outdated and is lacking a boatload of serious
bugfixes done to the 2.4 kernel ext3. Seriously if you use 2.2 for stability
then don't do this; a 2.4 kernel will be more robust.
Comment 3 Yanko Kaneti 2002-11-29 16:53:49 EST
Eek :( not encouraging at all. Thanks for your input.

To make it clear what I am after: I want fast recovery from power failure with
the  minimal amount of changes to the server.

I've not thought about upgrading the kernel because I don't know/understand how
that affects the prebuilt 6.2 glibc. Changing the glibc it seems to me would be
orthogonal to my initial intent to keep the changes minimal.

Comment 4 Need Real Name 2002-11-29 17:42:55 EST
yaneti@declera.com, 2.4 kernel runs fine with Red Hat 6.2 glibc, on a test (non-
production) box I've been experimenting with Red Hat 6.2 running Kernel 2.4.20-
rc2 (/w Red Hat supplied glibc 2.1.3).
Comment 5 Yanko Kaneti 2002-12-15 02:16:24 EST
So I actually tried putting the latest 8.0 kernel update (rebuilt) on this poor
6.x. It was a short stunt because the custom built apache and a
radiusd-cistron-1.6.1-1 used here didnt manage to start properly for some
reason.  I had no time to investigate this because the server just had to be
rebooted to operational status again.

So...its not something that can always be done without problems it seems

Comment 6 Need Real Name 2002-12-15 02:23:23 EST
Yanko, Kernel 2.4 works fine on Red Hat 6.x if your build it from source, it 
stuffs up if you try to use the 8.0 Kernel RPM.

Will you please share the changes you were able to do to make the ext3 build on 
2.2 kernel RPM?
Comment 7 Yanko Kaneti 2002-12-15 02:38:08 EST
rolyv@bigpond.com: well, I said "latest 8.0 kernel update (rebuilt)" so it is
rebuilt, and it works, but my immadiate problem was that some prebuilt on 2.2
software on top of it didnt work :)

Unifortunately I nixed the ext3 patch + kernel from my 2.2 attempt after Arjan's
message, so I dont have it now. Please read my first comment for a short
description of what was done, no rocket science there....
Comment 8 Bugzilla owner 2004-09-30 11:40:09 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.